PHP Manual
Prev |  | Next

# SWFMorph

(PHP 4 >= 4.0.5)

SWFMorph -- SWFMorph Class

## Description

The methods here are sort of weird. It would make more sense to just have newSWFMorph(shape1, shape2);, but as things are now, shape2 needs to know that it's the second part of a morph. (This, because it starts writing its output as soon as it gets drawing commands- if it kept its own description of its shapes and wrote on completion this and some other things would be much easier.)

## Class Members

### Methods

SWFMorph->__construct()
SWFMorph->getShape1()
SWFMorph->getShape2()

Prev | Home | Next
SWFGradient->addEntry() | Up | SWFMorph->__construct()